Running CA IDMS DC COBOL from multiple releases

book

Article ID: 105676

calendar_today

Updated On:

Products

CA IDMS CA IDMS - Database CA IDMS - ADS

Issue/Introduction

If we run mostly the latest LE COBOL but also have some older COBOL programs (COBOL II for example), does CDMSLIB need both the latest SCEERUN runtime library and the older COBOL runtime library?

Environment

Release: 19.0
Component: CA IDMS/DB

Resolution

No.  The latest SCEERUN runtime library will support both the latest LE and older COBOL programs.

It will not hurt if the SCREEUN is first and the older COBOL runtime library is concatenated after it, but the older runtime library is not necessary.

Additional Information

See Documentation section Considerations for IBM Language Environment